package com.caimei365.manager.entity.caimei;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author zzj
 */
@Data
public class KeyWord implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;

    private String keyword;
    /**
     * 标签库数据来源（1：手动添加；2：用户关键词统计；3：导入）
     */
    private Integer fromSearch;
    /**
     * 0:未加入关键词库；1：已加入关键词库
     */
    private Integer labelStatus;
    /**
     * 关键词出现次数
     */
    private Integer frequency;

    /**
     * 关键词推荐时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date recommendTime;

    /**
     * 最近一次搜索时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date searchTime;
}
